Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Server-sent-events stream of per-account updates (queue status, view ticks, update progress).

GET/v1/account.subscribe
Authorization
AuthorizationBearer token · headerrequired
Query parameters
accountIdinteger<int32>required

Account ID to subscribe to

min 0
Responses
200

OK

One of:
object
dataEventAccountUpdateProgressDatarequired
Show properties
progressAccountUpdateProgressrequired
Show properties
accountIdinteger<int32>required
min 0
currentStepstringrequired
errorAccountUpdateError
Show properties
categorystringrequired
retryablebooleanrequired
finishedAtstring<date-time>
percentinteger<int32>required
min 0
queuePositioninteger<int64>
queuedAtstring<date-time>
runIdstringrequired
startedAtstring<date-time>
statusstringrequired
stepsAccountUpdateStep[] | nullrequired
Show properties
Array of AccountUpdateStep
finishedAtstring<date-time>
namestringrequired
reasonstring
startedAtstring<date-time>
statusstringrequired
updatedAtstring<date-time>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataEventAccountUpdatedDatarequired
Show properties
accountIdinteger<int32>required
min 0
statusstringrequired
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataEventAccountViewTickDatarequired
Show properties
accountIdinteger<int32>required
min 0
totalDeltainteger<int32>required
min 0
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataAccountSubscribeHeartbeatrequired
Show properties
heartbeatinteger<int64>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
403

Forbidden

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.steamsets.com/v1/account.subscribe?accountId=0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/problem+json'
Response
{
  "data": {
    "progress": {
      "accountId": 0,
      "currentStep": "string",
      "error": {
        "category": "string",
        "retryable": true
      },
      "finishedAt": "2019-08-24T14:15:22Z",
      "percent": 0,
      "queuePosition": 0,
      "queuedAt": "2019-08-24T14:15:22Z",
      "runId": "string",
      "startedAt": "2019-08-24T14:15:22Z",
      "status": "string",
      "steps": [
        {
          "finishedAt": "2019-08-24T14:15:22Z",
          "name": "string",
          "reason": "string",
          "startedAt": "2019-08-24T14:15:22Z",
          "status": "string"
        }
      ],
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  },
  "event": "account-update-progress",
  "id": "string",
  "retry": 0
}